Skip to main content
GET
List customer's transactions

Authorizations

Authorization
string
header
required

Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>

Path Parameters

customer_id
string
required

The unique identifier for the Imprint customer

Example:

"2EE24580-B97B-4949-A65C-929CCB9B9B8D"

Query Parameters

limit
integer<int32>
default:10

Number of transactions to return, between 1 and 25. Values above 25 are capped at 25.

Required range: 1 <= x <= 25
starting_after
string

A cursor for use in pagination. An id that defines your place in the list.

expand
enum<string>[]

Related data to include on each transaction, as a comma-separated list. Supported values: events — the transaction's lifecycle events (authorization, captures, refunds, confirmed disputes), each with the same event_id delivered in the Transaction Event Notification. Omit to receive the transaction without events. Unknown values return 400. See Retrieve a transaction's events.

Related data that can be included on a transaction with the expand query parameter.

Available options:
events

Response

List of customer transactions

data
object[]
has_more
boolean
total
integer